Log in or register to post comments

Resource re-package Failed!

February 28, 2012 - 1:55am #1

Hello,

I'm having this error (detailed below) when trying to build from Unity for Android.

Quote:

Resource re-package Failed!
package -v -f -m -J gen -M AndroidManifest.xml -S "res" -I

"C:/Development/Android/android-sdk-windows/platforms/android-10\android.jar" -F bin/resources.ap_
Configurations:
(default)
hdpi

Files:
drawable\app_icon.png
Src: () res\drawable\app_icon.png
Src: (hdpi) res\drawable-hdpi\app_icon.png
values\strings.xml
Src: () res\values\strings.xml
AndroidManifest.xml
Src: () AndroidManifest.xml

Resource Dirs:
Type drawable
drawable\app_icon.png
Src: () res\drawable\app_icon.png
Src: (hdpi) res\drawable-hdpi\app_icon.png
Type values
values\strings.xml
Src: () res\values\strings.xml
Including resources from package: C:\Development\Android\android-sdk-windows\platforms\android-10\android.jar
applyFileOverlay for drawable
applyFileOverlay for layout
applyFileOverlay for anim
applyFileOverlay for animator
applyFileOverlay for interpolator
applyFileOverlay for xml
applyFileOverlay for raw
applyFileOverlay for color
applyFileOverlay for menu
applyFileOverlay for mipmap
Processing image: res\drawable\app_icon.png
(processed image res\drawable\app_icon.png: 96% size of source)
Processing image: res\drawable-hdpi\app_icon.png
(processed image res\drawable-hdpi\app_icon.png: 97% size of source)
(new resource id app_icon from drawable\app_icon.png #generated)
(new resource id app_icon from hdpi\drawable\app_icon.png #generated)
AndroidManifest.xml:13: error: Error: String types not allowed (at 'configChanges' with value 'fontScale|keyboard|

keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|

touchscreen').
AndroidManifest.xml:19: error: Error: String types not allowed (at 'configChanges' with value 'fontScale|keyboard|

keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|

touchscreen').
AndroidManifest.xml:21: error: Error: String types not allowed (at 'configChanges' with value 'fontScale|keyboard|

keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|

touchscreen').
AndroidManifest.xml:25: error: Error: String types not allowed (at 'configChanges' with value 'fontScale|keyboard|

keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|

touchscreen').

UnityEngine.Debug:LogError(Object)
PostProcessAndroidPlayer:PostProcess(BuildTarget, String, String, String, String,

String, String, BuildOptions) (at

C:/BuildAgent/work/842f9557127e852/Editor/Mono/BuildPipeline/PostProcessAndroidPlayer.cs:210)
UnityEditor.HostView:OnGUI()

I have the teapot example working via eclipse, but I can't get anything to work directly from Unity.

I'm using windows7, and QCAR version 1.5

I have Android SDK downloaded for 2.3.3, but do I need that - maybe I should only have SDK for 2.2 installed?

Any help much appreciated.

Re: Resource re-package Failed!

March 6, 2012 - 3:11am #13

Installing the AP 4.0 followed by ksiva instructions worked perfectly for me. No more errors here and everything is working. Thanks for the replies.
Im using 1.5 so no need to downgrade to 1.0.6 either.

Re: Resource re-package Failed!

March 2, 2012 - 12:19pm #12

Make sure you set the dataset to load and activate on the ARCamera (under the DataSetLoadBehaviour component). If you're still having trouble I suggest trying one of the samples.

- Kim

Re: Resource re-package Failed!

March 2, 2012 - 12:47am #11

I installed api level 14. Now i can create APK without Resource re-package Failed! error. Now the fiducials is not tracked and nothing is happening when compiling it on the phone

Re: Resource re-package Failed!

March 1, 2012 - 4:05pm #10

Yes. It looks like it's finding the correct SDK.

Can you try replacing the androidmanifest.xml file w/ one from your prior 1.0.6 installation? That may tell us whether there is a versioning conflict prompting the error on configChanges.

Re: Resource re-package Failed!

March 1, 2012 - 3:55pm #9

Try installing Android API level 14. Does that help?

- Kim

Re: Resource re-package Failed!

March 1, 2012 - 3:47pm #8

We are a couple of guys at my campus having the exact same problem as you.
Will get back to you if we find a solution but will appreciate it if some of the more experience guys have a peace of advice or five.

Re: Resource re-package Failed!

March 1, 2012 - 2:51am #7

Hi,

Also please note the 3rd line of the repackage error:

Quote:

"C:/Development/Android/android-sdk-windows/platforms/android-10\android.jar" -F bin/resources.ap_

So surely Unity is finding the Android SDK without problem?

Re: Resource re-package Failed!

March 1, 2012 - 1:09am #6

Hello David,

Unity is pointing to C:\Development\Android\android-sdk-windows as per the guidelines. I am only using SDK r16. Also I have NDK r7b.

I have 2 SDK platforms, downloaded via ADT/Eclipse - 2.2 and 2.3.3, as Unity asks for 2.3.3 to be installed as a minimum. I had tried uninstalling 2.3.3, but Unity wasn't happy with that!

The rest of my setup is as follows:

JDK 7u3 i586
NDK r7b
CYGWIN setup as per instructions
VUFORIA SDK 1-5-9
UNITY 1-5-10

Any other ideas?

Re: Resource re-package Failed!

February 29, 2012 - 4:49pm #5

If you've installed multiple Android SDKs, you'll want to confirm that your Unity installation points to the newest one. Check Unity > Preferences > External Tools > Android SDK Location.

That configChanges parsing error is associated w/ earlier versions of the Android SDK.

Re: Resource re-package Failed!

February 29, 2012 - 9:07am #4

An update...

I downloaded the plugin from the asset store, but only version 1.0.6 is available to download. I can compile with that version, and managed to successfully rebuild the ImageTargets teapot example from within Unity.

Just to let you know I can't find Vuforia 1.5 on the Asset Store for Unity.

Well at least I have made a start getting 1.0.6 working, but I would still like to know what's the problem with 1.5?

HTH

Re: Resource re-package Failed!

February 29, 2012 - 8:14am #3

Hi Kim,

I am using 3.4.2f. I can compile a Unity Android project without problem if the Qcar plugin isn't installed.

I rebuilt the entire development environment this morning, on a clean install of windows 7, just in case my usual workstation had a problem of some kind. But still, same identical error.

The problem does seem to directly relate to the AndroidManifest.xml file. If i remove that file alone from my unity project, it compiles and loads (though of course it doesn't function properly)

Quote:

AndroidManifest.xml:13: error: Error: String types not allowed (at 'configChanges' with value 'fontScale|keyboard|keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|touchscreen').
AndroidManifest.xml:19: error: Error: String types not allowed (at 'configChanges' with value 'fontScale|keyboard|keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|touchscreen').
AndroidManifest.xml:21: error: Error: String types not allowed (at 'configChanges' with value 'fontScale|keyboard|keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|touchscreen').
AndroidManifest.xml:25: error: Error: String types not allowed (at 'configChanges' with value 'fontScale|keyboard|keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|touchscreen').

UnityEngine.Debug:LogError(Object)
PostProcessAndroidPlayer:PostProcess(BuildTarget, String, String, String, String, String, String, BuildOptions) (at C:/BuildAgent/work/842f9557127e852/Editor/Mono/BuildPipeline/PostProcessAndroidPlayer.cs:210)
UnityEditor.HostView:OnGUI()

I will try to load the plugin again direct from the Asset store now, just in case there's some problem with my copy of the plugin.

Thanks for the link, but I think you'll find that's a completely different problem.

Any thoughts on how to make this work?

Re: Resource re-package Failed!

February 28, 2012 - 6:33pm #2

What version of Unity are you using? Do you see the same error when you compile a project that doesn't use QCAR?

See this thread on Unity Answers for some possible causes:

http://answers.unity3d.com/questions/48274/build-run-on-android-have-problems-resource-re-pac.html

- Kim

Log in or register to post comments